app-crypt/gnupg: Make gnutls-3 min req for 2.1